-- by LSK Modding
newEnvironment = {};

function newEnvironment:loadMap(name)
	local env = g_currentMission.environment;

	local amb = 0.1; -- Diese Zahl größer/kleiner machen um die Umgebungsbeleuchtung aufhellen/abdunkeln
	--  LS11 ambient curve
	env.ambientCurve = AnimCurve:new(linearInterpolator3)
    env.ambientCurve:addKeyframe({x = -0.75+amb,y = -0.75+amb,z = -0.75+amb,time = 0})
    env.ambientCurve:addKeyframe({ x = 0.15+amb,y = 0.15+amb,z = 0.125+amb,time = 300})
    env.ambientCurve:addKeyframe({x = 0.25+amb,y = 0.25+amb,z = 0.225+amb,time = 360})
    env.ambientCurve:addKeyframe({x = 0.3+amb,y = 0.3+amb,z = 0.25+amb,time = 540})
    env.ambientCurve:addKeyframe({x = 0.4+amb,y = 0.4+amb,z = 0.375+amb,time = 960})
    env.ambientCurve:addKeyframe({x = 0.3+amb,y = 0.3+amb,z = 0.25+amb,time = 1080})
    env.ambientCurve:addKeyframe({x = 0.185+amb,y = 0.185+amb,z = 0.25+amb,time = 1260})
    env.ambientCurve:addKeyframe({x = -0.75+amb,y = -0.75+amb,z = -0.75+amb,time = 1440})
	
	local diff = 0.1; -- Diesel Zahl größer/kleiner machen um das direkte Licht aufhellen/abdunkeln
	--  LS11 diffuse curve
	env.diffuseCurve = AnimCurve:new(linearInterpolator3)
    env.diffuseCurve:addKeyframe({x = 0+diff,y = 0+diff,z = 0.05+diff,time = 0})
    env.diffuseCurve:addKeyframe({x = 0+diff,y = 0+diff,z = 0.05+diff,time = 300})
    env.diffuseCurve:addKeyframe({x = 1+diff,y = 0.45+diff,z = 0.15+diff,time = 360})
    env.diffuseCurve:addKeyframe({x = 1.5+diff,y = 0.75+diff,z = 0.2+diff,time = 420})
    env.diffuseCurve:addKeyframe({x = 2+diff,y = 1.6+diff,z = 1.5+diff,time = 540})
    env.diffuseCurve:addKeyframe({x = 2+diff,y = 1.6+diff,z = 1.5+diff,time = 1020})
    env.diffuseCurve:addKeyframe({x = 1.6+diff,y = 0.7+diff,z = 0.4+diff,time = 1080})
    env.diffuseCurve:addKeyframe({x = 1.4+diff,y = 0.5+diff,z = 0.2+diff,time = 1140})
    env.diffuseCurve:addKeyframe({x = 1+diff,y = 0.3+diff,z = 0.25+diff,time = 1200})
    env.diffuseCurve:addKeyframe({x = 0.3+diff,y = 0.15+diff,z = 0.1+diff,time = 1260})
    env.diffuseCurve:addKeyframe({x = 0.1+diff,y = 0+diff,z = 0.025+diff,time = 1320})
    env.diffuseCurve:addKeyframe({x = 0+diff,y = 0+diff,z = 0.05+diff,time = 1440})
	
	--  LS11 specular curve (same as diffuse curve in ls11, but extra in ls13)
	env.specularCurve = AnimCurve:new(linearInterpolator3)
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 0})
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 300})
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 360})
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 420})
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 540})
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 1020})
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 1080})
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 1140})
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 1200})
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 1260})
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 1320})
    env.specularCurve:addKeyframe({x = 0,y = 0,z = 0,time = 1440})
	
	--  LS11 rot curve
	env.rotCurve = AnimCurve:new(linearInterpolator1)
    env.rotCurve:addKeyframe({v = Utils.degToRad(-12),time = 0})
    env.rotCurve:addKeyframe({v = Utils.degToRad(-15),time = 330})
    env.rotCurve:addKeyframe({v = Utils.degToRad(-70),time = 720})
    env.rotCurve:addKeyframe({v = Utils.degToRad(-155),time = 1230})
    env.rotCurve:addKeyframe({v = Utils.degToRad(-168),time = 1440})
end;

function newEnvironment:deleteMap()
end;
function newEnvironment:mouseEvent(posX, posY, isDown, isUp, button)
end;
function newEnvironment:keyEvent(unicode, sym, modifier, isDown)
end;
function newEnvironment:update(dt)
end;
function newEnvironment:draw()
end;

addModEventListener(newEnvironment);